Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department: D/CS-G33 Affected Products: ADTF 3.7.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Im Recorder gibt es die Zielformatauswahl "adtf3" und "adtf3ns". Ich konnte hierzu keine Erläuterungen finden, aber bei "adtf3ns"

scheint es sich um Indexed-File-Format v5 zu handeln, beim anderen um v4.

Steht "adtf3ns" für "nanoseconds"? Um welche Unterschiede zum v4 geht es hier? Gibt es hierzu Erläuterungen in der Doku?

Lösung

"adtf3ns"steht für nanosekunden.

Der einzige Unterschied zwischen v4 und v5 ist, dass alle Zeitstempel (Chunks) in Nanosekunden, statt in Microsekunden abgelegt

werden. Die adtf_file Library behandelt das transparent. Alte ADTF 3 Versionen (vor 3.7) können damit aber noch nicht umgehen.

History

#1 - 2020-09-08 12:49 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2020-09-08 13:28 - hidden

Hallo Patrick,

"adtf3ns"steht für nanosekunden. Das File Format muss ich recherchieren und gebe dir hier noch einmal Bescheid.

Grüße

Margarete

#3 - 2020-09-09 14:25 - hidden

Hi Patrick,

ja genau, der einzige Unterschied zwischen v4 und v5 ist, dass alle Zeitstempel (Chunks) in Nanosekunden, statt in Microsekunden abgelegt werden.

Die adtf_file Library behandelt das transparent. Alte ADTF 3 Versionen (vor 3.7) können damit aber noch nicht umgehen.

Grüße,

Martin

#4 - 2020-09-09 14:32 - hidden

Vielen Dank für die Infos. Das Ticket kann geschlossen werden.

#5 - 2020-09-10 08:46 - hidden

- Subject changed from Kurze Frage zum Zielformat des DAT-Recorders to  Target format DAT-Recorder - Indexed-File-Format

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue
#6 - 2020-09-28 14:10 - hidden

- Project changed from 11 to Public Support

- Subject changed from  Target format DAT-Recorder - Indexed-File-Format to File format in Harddisk Recorder

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#7 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD
